<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:genmodel="http://www.eclipse.org/uml2/2.2.0/GenModel"
    copyrightText="Copyright (c) 2016 ALL4TEC &amp; CEA LIST.&#xD;&#xA;All rights reserved. This program and the accompanying materials&#xD;&#xA;are made available under the terms of the Eclipse Public License v1.0&#xD;&#xA;which accompanies this distribution, and is available at&#xD;&#xA;https://www.eclipse.org/legal/epl-2.0/&#xD;&#xA;  &#xD;&#xA;Contributors:&#xD;&#xA;     ALL4TEC &amp; CEA LIST - initial API and implementation"
    modelDirectory="/org.polarsys.esf.localanalysis.profile/src-gen/main/java/" creationIcons="false"
    editDirectory="/org.polarsys.esf.localanalysis.profile.edit/src-gen/main/java/"
    editorDirectory="/org.polarsys.esf.localanalysis.profile.editor/src-gen/main/java/"
    modelPluginID="org.polarsys.esf.localanalysis.profile" modelName="ESFLocalAnalysis"
    nonNLSMarkers="true" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    codeFormatting="true" commentFormatting="true" testsDirectory="/org.polarsys.esf.localanalysis.profile.tests/src-gen/main/java/"
    importerID="org.eclipse.uml2.uml.ecore.importer" bundleManifest="false" complianceLevel="7.0"
    copyrightFields="false" editPluginID="org.polarsys.esf.localanalysis.profile.edit"
    editorPluginID="org.polarsys.esf.localanalysis.profile.editor" colorProviders="true"
    fontProviders="true" usedGenPackages="../../../../../../org.eclipse.emf.ecore/model/Ecore.genmodel#//ecore ../../../../../../org.polarsys.esf.core.profile.esfarchitectureconcepts/src/main/resources/models/genmodel/esfarchitectureconcepts.genmodel#//esfarchitectureconcepts ../../../../../../org.polarsys.esf.core.profile.esfcore/src/main/resources/models/genmodel/esfcore.genmodel#//esfcore ../../../../../../org.polarsys.esf.core.profile.esfproperties/src/main/resources/models/genmodel/esfproperties.genmodel#//esfproperties ../../../../../../org.polarsys.esf.core.profile.esfsafetyconcepts/src/main/resources/models/genmodel/esfsafetyconcepts.genmodel#//esfsafetyconcepts ../../../../../../org.eclipse.uml2.types/model/Types.genmodel#//types ../../../../../../org.eclipse.uml2.uml/model/UML.genmodel#//uml"
    interfaceNamePattern="I{0}" classNamePattern="{0}" operationReflection="true"
    importOrganizing="true">
  <genAnnotations source="http://www.eclipse.org/emf/2002/GenModel/importer/org.eclipse.uml2.uml.ecore.importer">
    <details key="OPPOSITE_ROLE_NAMES" value="IGNORE"/>
    <details key="DUPLICATE_FEATURES" value="DISCARD"/>
    <details key="ANNOTATION_DETAILS" value="PROCESS"/>
    <details key="PROPERTY_DEFAULT_EXPRESSIONS" value="IGNORE"/>
    <details key="DUPLICATE_FEATURE_INHERITANCE" value="DISCARD"/>
    <details key="COMMENTS" value="PROCESS"/>
    <details key="DERIVED_FEATURES" value="PROCESS"/>
    <details key="SUPER_CLASS_ORDER" value="PROCESS"/>
    <details key="DUPLICATE_OPERATION_INHERITANCE" value="DISCARD"/>
    <details key="REDEFINING_OPERATIONS" value="REPORT"/>
    <details key="INVARIANT_CONSTRAINTS" value="PROCESS"/>
    <details key="UNION_PROPERTIES" value="REPORT"/>
    <details key="DUPLICATE_OPERATIONS" value="DISCARD"/>
    <details key="NON_API_INVARIANTS" value="IGNORE"/>
    <details key="CAMEL_CASE_NAMES" value="IGNORE"/>
    <details key="SUBSETTING_PROPERTIES" value="REPORT"/>
    <details key="OPERATION_BODIES" value="IGNORE"/>
    <details key="ECORE_TAGGED_VALUES" value="PROCESS"/>
    <details key="UNTYPED_PROPERTIES" value="REPORT"/>
    <details key="REDEFINING_PROPERTIES" value="REPORT"/>
    <details key="INVOCATION_DELEGATES" value="IGNORE"/>
    <details key="VALIDATION_DELEGATES" value="IGNORE"/>
  </genAnnotations>
  <foreignModel>../profile/esflocalanalysis.profile.uml</foreignModel>
  <genPackages xsi:type="genmodel:GenPackage" prefix="ESFLocalAnalysis" basePackage="org.polarsys.esf"
      disposableProviderFactory="true" ecorePackage="esflocalanalysis.ecore#/">
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="esflocalanalysis.ecore#//AbstractSLocalAnalysisElement"/>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SPortLAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" property="None" notify="false" createChild="false"
          ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SPortLAnalysis/sBlockLAnalysis"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SPortLAnalysis/sPort"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SPortLAnalysis/base_Port"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esflocalanalysis.ecore#//SPortLAnalysis/sDirectionManual"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esflocalanalysis.ecore#//SPortLAnalysis/sDirectionLAnalysis"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="esflocalanalysis.ecore#//AbstractSFailureModeOwner">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSFailureModeOwner/sFailureModesLAnalysisList"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="esflocalanalysis.ecore#//AbstractSFailureModeLAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSFailureModeLAnalysis/sBlockLAnalysis"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSFailureModeLAnalysis/sFailureMode"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSFailureModeLAnalysis/sFearedEventsFamiliesList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSFailureModeLAnalysis/sFearedEventsList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSFailureModeLAnalysis/owner"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="esflocalanalysis.ecore#//AbstractSPropagationElement">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSPropagationElement/outSPropagationLinksList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSPropagationElement/inSPropagationLinksList"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SPropagationLink">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SPropagationLink/elementTarget"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" notify="false" createChild="false"
          ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SPropagationLink/sBlockLAnalysis"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SPropagationLink/base_Dependency"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SPropagationLink/elementSource"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SBlockLAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/sBlock"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" children="true"
          createChild="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/sFailureEventsLAnalysisList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/sPortsLAnalysisList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/base_Class"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" children="true"
          createChild="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/sLogicalGatesLAnalysisList"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" children="true"
          createChild="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/sFailureModesLAnalysisList"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" children="true"
          createChild="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/sBarriersLAnalysisList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/sLocalAnalysis"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBlockLAnalysis/sPropagationLinksList"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="esflocalanalysis.ecore#//AbstractSFailureEventLAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSFailureEventLAnalysis/sFailureEvent"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" notify="false" createChild="false"
          ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSFailureEventLAnalysis/sBlockLAnalysis"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" image="false" ecoreClass="esflocalanalysis.ecore#//AbstractSLogicalGateLAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" property="None" notify="false" createChild="false"
          ecoreFeature="ecore:EReference esflocalanalysis.ecore#//AbstractSLogicalGateLAnalysis/sBlockLAnalysis"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SBarrierLAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBarrierLAnalysis/sBarrier"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBarrierLAnalysis/base_Property"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" notify="false" createChild="false"
          ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SBarrierLAnalysis/sBlockLAnalysis"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SLocalAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SLocalAnalysis/base_Package"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" children="true"
          createChild="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SLocalAnalysis/sSystemEventsLibrary"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SLocalAnalysis/sFearedEventsLibrary"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SLocalAnalysis/sBlocksLAnalysisList"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SSystemEventsLibrary">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEventsLibrary/base_Package"/>
      <genFeatures xsi:type="genmodel:GenFeature" property="None" children="true"
          createChild="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEventsLibrary/sSystemEventTypesList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEventsLibrary/sLocalAnalysis"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SSystemEventType">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEventType/base_Class"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEventType/sFailureEvent"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEventType/instancesList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEventType/sSystemEventsLibrary"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SSystemEvent">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEvent/base_Property"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SSystemEvent/type"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SFearedEventsLibrary">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsLibrary/base_Package"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsLibrary/sFearedEventsFamiliesList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsLibrary/sFearedEventsList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsLibrary/sLocalAnalysis"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SFearedEventsFamily">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsFamily/base_Class"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsFamily/sFearedEventsList"/>
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esflocalanalysis.ecore#//SFearedEventsFamily/isSelected"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsFamily/subFamiliesList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsFamily/allSFearedEventsList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsFamily/sFailureModesLAnalysisList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEventsFamily/sFearedEventsLibrary"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SFearedEvent">
      <genFeatures xsi:type="genmodel:GenFeature" createChild="false" ecoreFeature="ecore:EAttribute esflocalanalysis.ecore#//SFearedEvent/isSelected"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEvent/base_Class"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEvent/sFailureModesLAnalysisList"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SFearedEvent/sFearedEventsLibrary"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SDysfunctionalAssociation">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SDysfunctionalAssociation/sFailureModeLAnalysis"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SDysfunctionalAssociation/base_Connector"/>
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SDysfunctionalAssociation/sFailureModeOwner"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SAndGateLAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SAndGateLAnalysis/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SOrGateLAnalysis">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SOrGateLAnalysis/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SUntimelyFailureMode">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SUntimelyFailureMode/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SAbsentFailureMode">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SAbsentFailureMode/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SErroneousFailureMode">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SErroneousFailureMode/base_Property"/>
    </genClasses>
    <genClasses xsi:type="genmodel:GenClass" ecoreClass="esflocalanalysis.ecore#//SLocalEvent">
      <genFeatures xsi:type="genmodel:GenFeature" notify="false" createChild="false"
          propertySortChoices="true" ecoreFeature="ecore:EReference esflocalanalysis.ecore#//SLocalEvent/base_Property"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
